#include <iostream>
using namespace std;
int main()
{
    long long n,d,k,sum=0;
    cin>>n;
    cin>>d;
    cin>>k;
    if(k+1==n)
    {
    for(int i=0;i<=n;i++)
    {
        sum+=i;
    }
    }
    cout<<sum<<endl;
    return 0;
}